Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453380 - anaconda crash during upgrade
Summary: anaconda crash during upgrade
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.2
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 09:15 UTC by Levente Farkas
Modified: 2008-12-10 19:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-10 19:17:06 UTC


Attachments (Terms of Use)
anacdump (deleted)
2008-06-30 09:15 UTC, Levente Farkas
no flags Details
anaconda.log (deleted)
2008-06-30 09:15 UTC, Levente Farkas
no flags Details

Description Levente Farkas 2008-06-30 09:15:16 UTC
Description of problem:
during we try to upgrade one of our system with kickstart update anacoda crash
with this :
------------------------------------------------------
Traceback (most recent call first):
  File "/usr/lib/anaconda/upgrade.py", line 334, in upgradeMountFilesystems
    mountRootPartition(anaconda, anaconda.id.upgradeRoot[0], anaconda.id.fsset,
  File "/usr/lib/anaconda/dispatch.py", line 201, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 124, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 223, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/text.py", line 539, in run
    (step, instance) = anaconda.dispatch.currentStep()
  File "/usr/bin/anaconda", line 982, in ?
    anaconda.intf.run(anaconda)
IndexError: list index out of range

Local variables in innermost frame:
anaconda: <__main__.Anaconda instance at 0xb7dd156c>
------------------------------------------------------

Comment 1 Levente Farkas 2008-06-30 09:15:16 UTC
Created attachment 310566 [details]
anacdump

Comment 2 Levente Farkas 2008-06-30 09:15:46 UTC
Created attachment 310567 [details]
anaconda.log

Comment 3 Joel Andres Granados 2008-07-09 09:27:25 UTC
FYI:
In-place upgrades across major releases do not preserve all system settings,
services, and custom configurations. For this reason, Red Hat strongly
recommends that you perform a fresh installation rather than a system upgrade
between major versions.
Upgrade is to be used for minor versions.

Was this an upgrade for a mayor release of between minor releses?

Comment 4 Levente Farkas 2008-07-09 09:45:17 UTC
this's not the case here. it's an rhel 5.1 to rhel-5.2 update which we like to
made from kickstart generated cd image. so actually here nothing change. what's
more this crash is before anything started. it's at the stage when anaconda try
to mount the filesystems/partitions.

Comment 5 Tru Huynh 2008-07-17 17:16:47 UTC
it's your own RHEL rebuild (not CentOS/SL and definitely not RH) according to
the logs...

Comment 6 Levente Farkas 2008-08-04 13:14:34 UTC
it compiled from rhel src.rpm, and it's an anaconda EVR bug but we already found a workaround so it's no longer a problem for us. so you can close this bug.


Note You need to log in before you can comment on or make changes to this bug.